@import "~src/assets/scss/fonts";
@import "~src/assets/scss/colors";

::ng-deep .stu-header {
  .fa-user {
    color: $DodgerBlue;
  }
}

.login {
    display: flex;
    flex-direction: column;
    align-items: center;
    header {
        margin-top: 20px;
        .title {
            height: 44px;
            font-family: AvenirNextLTPro, sans-serif;
            font-size: 36px;
            font-weight: 500;
            font-style: normal;
            font-stretch: normal;
            line-height: normal;
            letter-spacing: normal;
            text-align: left;
            color: $Shark;
            .user-name {
              text-transform: capitalize;
            }
        }

        .sub-title {
            width: 238px;
            height: 20px;
            font-family: AvenirNextLTPro, sans-serif;
            font-size: 16px;
            font-weight: normal;
            font-style: normal;
            font-stretch: normal;
            line-height: normal;
            letter-spacing: normal;
            text-align: left;
            color: $Shark;
          }
          & > a {
            color: $DodgerBlue;
          }
    }

    form.login-form {
      width: 388px;
      margin-top: 25px;
      display: flex;
      flex-direction: column;
      .input-item {
        margin-top: 10px;
        width: 388px;
        height: 95px;
        display: flex;
        flex-direction: column;
        label {
          width: 73px;
          height: 19px;
          font-family: AvenirNextLTPro, sans-serif;
          font-size: 16px;
          font-weight: normal;
          font-style: normal;
          font-stretch: normal;
          line-height: normal;
          letter-spacing: normal;
          text-align: left;
          color: MineShaft;
          margin-bottom: 5px;
        }
        input {
          border-radius: 3px;
          border: solid 1px $Mercury;
          padding: 15px 10px;
          font-size: 14px;
        }
        .error-msg {
          margin-top: 2px;
          font-family: AvenirNextLTPro, sans-serif;
          font-size: 12px;
          font-weight: normal;
          font-style: normal;
          font-stretch: normal;
          line-height: normal;
          letter-spacing: normal;
          text-align: left;
          color: $Rose;
          display: none;
        }
        &.show-err {
          input {
            border: solid 1px $Rose;
          }
          .error-msg {
            display: block;
          }
        }
      }
      .forgot-password {
        margin-top: 10px;
        font-family: AvenirNextLTPro, sans-serif;
        font-size: 13px;
        font-weight: 500;
        font-style: normal;
        font-stretch: normal;
        line-height: normal;
        letter-spacing: normal;
        text-align: left;
        color: $DodgerBlue;
      }

      .login-btn {
        margin: 30px 0;
        width: 100%;
        height: 50px;
        color: white;
        font-size: 16px;
        border-radius: 4px;
        background-image: linear-gradient(97deg, $Malibu, $DodgerBlue);
      }

    }

}
